Complete a Deliverability Agent feed item
curl --request POST \
--url https://api.instantly.ai/api/v2/ai-agents/deliverability/feed-items/{id}/complete \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/ai-agents/deliverability/feed-items/{id}/complete"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/ai-agents/deliverability/feed-items/{id}/complete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.instantly.ai/api/v2/ai-agents/deliverability/feed-items/{id}/complete")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/ai-agents/deliverability/feed-items/{id}/complete",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/ai-agents/deliverability/feed-items/{id}/complete"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"item": {
"id": "01a0206f-e3c8-7c89-bb8e-26ad638ed6a3",
"organization_id": "01a0206f-e3c8-7c89-bb8e-26ad638ed6a3",
"agent_id": "01a0206f-e3c8-7c89-bb8e-26ad638ed6a3",
"feed_code": "workspace_settings_recommendation",
"kind": "recommendation",
"status": "todo",
"severity": "warning",
"priority": 100,
"payload": {},
"dedupe_key": "workspace_settings_recommendation:workspace:01956fbd-0eb1-72db-a565-82977a586084",
"timestamp_created": "2026-08-20T18:29:58.856Z",
"timestamp_updated": "2026-08-20T18:29:58.856Z",
"source_activity_id": "campaign",
"subject_type": "campaign",
"subject_id": "campaign",
"subject_name": "campaign",
"result_payload": {},
"action_code": "campaign",
"action_status": "campaign",
"action_payload": {},
"completed_at": "2026-08-20T18:29:58.856Z",
"dismissed_at": "2026-08-20T18:29:58.856Z",
"expires_at": "2026-08-20T18:29:58.856Z"
}
}{
"statusCode": 400,
"error": "Bad Request",
"message": "Deliverability Agent feed item cannot be completed manually"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 409,
"error": "Conflict",
"message": "Deliverability Agent feed item is not pending"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}AI Deliverability Agent
Complete a Deliverability Agent feed item
Mark a supported pending recommendation complete after the default agent verifies that its underlying issue has been resolved. Currently, workspace-settings recommendations support manual completion. Calling this endpoint for an already completed feed item is idempotent.
Requires one of the following scopes: ai_agents:update, ai_agents:all, all:update, all:all
POST
/
api
/
v2
/
ai-agents
/
deliverability
/
feed-items
/
{id}
/
complete
Complete a Deliverability Agent feed item
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Deliverability Agent feed item ID. Retrieve feed items from GET /api/v2/ai-agents/deliverability/{id}/feed-items, using the agent ID returned by GET /api/v2/ai-agents/deliverability.
Example:
"01a0206f-e3c8-7c89-bb8e-26ad638ed6a3"
Response
Default Response
Show child attributes
Show child attributes
⌘I